<form class="legends sheet player-sheet {{cssClass}}" autocomplete="off">
  <header class="sheet-header">
    <section class="row">
      <section class="playbook cell">
        <h1 class="block playbook"><input name="system.playbook" type="text" value="{{data.system.playbook}}"
            placeholder="{{localize "legends.actor-sheet.player.playbook"}}" /></h1>
      </section>
      <section class="name cell cell-2 row">
        <label class="title name-label">{{localize "legends.actor-sheet.name"}}:</label>
        <input name="name" type="text" value="{{actor.name}}" placeholder="{{localize "legends.actor-sheet.name"}}" />
      </section>
    </section>
    <img src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="64" width="64" />
  </header>

  {{#if displayTabbed}}
    <section class="navigation">
      <nav class="sheet-tabs tabs" data-group="primary">
        <a class="item" data-tab="main">{{localize "legends.nav.main"}}</a>
        <a class="item" data-tab="moves">{{localize "legends.nav.moves"}}</a>
        <a class="item" data-tab="techniques">{{localize "legends.nav.techniques"}}</a>
        <a class="item" data-tab="detail">{{localize "legends.nav.detail"}}</a>
      </nav>
    </section>
  {{else}}
    <section class="cell pad-sides">
      {{> "systems/legends/templates/sheets/actors/_trainings.hbs" data}}
    </section>
  {{/if}}

  <section class="body">
    <div class="row{{#if displayTabbed}} tab-main tab" data-group="primary" data-tab="main{{/if}}">
      <section class="cell cell-3 column">
        <section class="row">
          <section class="cell stats-fatigue pad-sides">
            {{> "systems/legends/templates/sheets/actors/_stats.hbs" data}}

            {{> "systems/legends/templates/sheets/actors/_fatigue.hbs" data}}
          </section>

          {{> "systems/legends/templates/sheets/actors/_balance.hbs" data}}

        </section>
        <section class="column statuses pad-sides flex-none">
          <h1 class="title center underline">{{localize "legends.actor-sheet.statuses"}}</h1>
          {{#if (or (gt statuses.positive.length 0) (gt statuses.negative.length 0))}}

            <section class="cell row positive item-list">
              {{#each statuses.positive as |status id|}}
                {{> "systems/legends/templates/partials/status-card.hbs" status inSheet=true}}
              {{/each}}
            </section>
            <section class="cell row negative item-list">
              {{#each statuses.negative as |status id|}}
                {{> "systems/legends/templates/partials/status-card.hbs" status inSheet=true}}
              {{/each}}
            </section>

          {{else}}
            <p>{{localize "legends.status.none" }}</p>
          {{/if}}
        </section>
      </section>
      <section class="cell conditions pad-sides">
        <h1 class="title center underline">{{ localize "legends.actor-sheet.conditions" }}</h1>
        {{#if (gt conditions.length 0)}}
          <section class="item-list">
            {{#each conditions as |condition id|}}
              {{> "systems/legends/templates/partials/condition-card.hbs" condition inSheet=true}}
            {{/each}}
          </section>
        {{else}}
          <p>{{localize "legends.condition.none" }}</p>
        {{/if}}
      </section>
    </div>

    <div class="{{#if displayTabbed}}tab-moves tab" data-group="primary" data-tab="moves{{/if}}">
      <section class="moves cell pad-sides">
        <h1 class="title center underline">
          {{localize "legends.actor-sheet.moves"}}
        </h1>

        <div class="row">
          <div class="cell"></div>
          <div class="cell">
            <section class="labelled-input">
              <label class="title" for="{{field}}">{{{localize "legends.moves.category.label"}}}:</label>
              <select class="moveCategorySelect">
                <option value="all">{{localize "legends.moves.category.all"}}</option>
                {{#select selectedMoveCategory}}
                  {{#each moveCategories as |category|}}
                    <option value="{{category}}">{{localize (tr_path "legends.moves.category" category)}}</option>
                  {{/each}}
                {{/select}}
              </select>
            </section>
          </div>
          <div class="cell"></div>
        </div>

        {{#if (gt moves.length 0)}}
          <div class="item-list col col-3">
            {{#each moves as |move id|}}
              {{#if (or (eq move.system.category ../selectedMoveCategory) (eq "all" ../selectedMoveCategory))}}
                {{> "systems/legends/templates/partials/move-card.hbs" move inSheet=true}}
              {{/if}}
            {{/each}}
          </div>
        {{else}}
          <p class="center">{{localize "legends.moves.none" }}</p>
        {{/if}}
      </section>
    </div>

    <div class="{{#if displayTabbed}}tab-techniques tab" data-group="primary" data-tab="techniques{{/if}}">
      <section class="cell column">
        {{#if displayTabbed}}
          <section class="cell pad-sides">
            {{> "systems/legends/templates/sheets/actors/_trainings.hbs" data}}
          </section>
        {{/if}}

        <section class="techniques cell">
          <h1 class="title underline center">
            {{localize "legends.techniques.title"}}
          </h1>
          {{#each config.approaches as |label key|}}
            <h2 class="block no-margin">
              {{localize label}}
            </h2>
            <h4 class="underline underline-thin fire-dark roll-approach">{{{rollApproach key}}}</h4>
            {{#if (gt (lengthByKey ../techniquesByApproach key) 0)}}
              <div class="item-list col col-2 pad-bottom">
                {{#each (getByKey ../techniquesByApproach key) as |technique|}}
                  {{> "systems/legends/templates/partials/technique-card.hbs" technique inSheet=true}}
                {{/each}}
              </div>
            {{else}}
              <p>{{localize "legends.techniques.none"}}</p>
            {{/if}}
          {{/each}}
        </section>
      </section>
    </div>

    <div class="{{#if displayTabbed}}tab-detail tab" data-group="primary" data-tab="detail{{/if}}">
      <section class="cell row">
        <section class="cell item feature pad-sides" data-item-id="{{feature._id}}">
          {{#if feature}}
            <h1 class="title center underline menu">
              <a class="black item-roll">{{feature.name}}</a>
            </h1>
            <section class="body">
              {{{feature.system.description}}}
            </section>
          {{else}}
            <h1 class="title center underline">
              {{localize "legends.feature.title"}}
            </h1>
            <p>{{localize "legends.feature.none" }}</p>
          {{/if}}
        </section>

        <section class="cell column pad-sides">
          <section class="item moment-of-balance" data-item-id="{{momentOfBalance._id}}">
            {{#if momentOfBalance}}
              <h1 class="title balance menu center underline">
                <a class="item-roll black">
                  {{localize "legends.moment-of-balance.title"}}
                </a>
              </h1>
              <div class="moment">
                {{{momentOfBalance.system.description}}}
              </div>
            {{else}}
              <h1 class="title balance center underline">
                {{localize "legends.moment-of-balance.title"}}
              </h1>
              <div class="moment">
                <p>{{localize "legends.moment-of-balance.none" }}</p>
              </div>
            {{/if}}

            <h1 class="title center underline">{{localize "legends.actor-sheet.player.about"}}</h1>

            {{> "systems/legends/templates/partials/labelled-input.hbs" field="system.background" label="legends.actor-sheet.player.background" value=data.system.background}}
            {{> "systems/legends/templates/partials/labelled-input.hbs" field="system.demeanor" label="legends.actor-sheet.player.demeanor" value=data.system.demeanor}}

            <label class="look">
              <span class="title"><strong>{{localize "legends.actor-sheet.player.look"}}:</strong></span>
              <div class="description">
                {{editor (enrichHTML data.system.description) target="system.description" button=true owner=owner editable=editable}}
              </div>
            </label>

            {{> "systems/legends/templates/partials/labelled-input.hbs" field="system.hometown" label="legends.actor-sheet.player.hometown" value=data.system.hometown}}

            <h2 class="title">
              {{localize "legends.growth.title"}}
              {{#times 4}}
                <a class="check-box set-value{{#if (gte ../data.system.growth.value @index)}} filled{{/if}}"
                  data-param="growth" data-new-value="{{@index}}"></a>
              {{/times}}
            </h2>

            <h3 class="title accent-dark">
              {{localize "legends.growth.question.title"}}
            </h3>
            {{#if growthQuestions}}
              <ul class="item-list">
                {{#each growthQuestions as |question|}}
                  {{> "systems/legends/templates/partials/growth-question-card.hbs" question inSheet=true}}
                {{/each}}
              </ul>
            {{else}}
              <p>{{localize "legends.growth.question.none"}}</p>
            {{/if}}

            <h3 class="title accent-dark">
              {{localize "legends.growth.advancement.title"}}
            </h3>
            <ul>
              {{#each data.system.growth.advancements as |track name|}}
                <li>
                  {{localize (tr_path "legends.growth.advancement" name)}}
                  &nbsp;
                  {{#times track.max}}
                    <a class="check-box mini set-adv-value{{#if (gte track.value @index)}} filled{{/if}}"
                      data-param="{{name}}" data-new-value="{{@index}}"></a>
                  {{/times}}
                </li>
              {{/each}}
            </ul>
          </section>
        </section>
    </div>
  </section>
</form>
